%define xml_version_required 2.9.0
%define major 1
%define libname %mklibname xslt %{major}
%define develname %mklibname xslt -d

Name:    libxslt
Version: 1.1.28
%define subrel 1
Release: %mkrel 8
Summary: Library providing XSLT support
License: MIT
Group: System/Libraries
URL: http://xmlsoft.org/XSLT/
Source0: ftp://xmlsoft.org/libxslt/libxslt-%{version}.tar.gz
# S1 was taken from libxslt-1.1.26
Source1: autogen.sh
Patch0: libxslt-1.1.28-CVE-2015-7995.patch
Requires: libxml2 >= %{xml_version_required}
BuildRequires: pkgconfig(libxml-2.0) >= %{xml_version_required}
BuildRequires: pkgconfig(python)
BuildRequires: python-libxml2 >= %{xml_version_required}
BuildRequires: libgcrypt-devel
BuildRequires: multiarch-utils >= 1.0.3

%description
This C library allows to transform XML files into other XML files
(or HTML, text, ...) using the standard XSLT stylesheet transformation
mechanism.

%package -n xsltproc
Summary: XSLT processor using libxslt
Group: System/Libraries
Obsoletes: libxslt-proc < %{version}-8
Provides: libxslt-proc = %{version}-%{release}

%description -n xsltproc
This package provides an XSLT processor based on the libxslt C library.
It allows to transform XML files into other XML files
(or HTML, text, ...) using the standard XSLT stylesheet transformation
mechanism.

%package -n %{libname}
Summary: Library providing XSLT support
Group: System/Libraries

%description  -n %{libname}
This C library allows to transform XML files into other XML files
(or HTML, text, ...) using the standard XSLT stylesheet transformation
mechanism.
A xslt processor based on this library, named xsltproc, is provided by
the libxslt-proc package.

%package -n python-%{name}
Summary: Python bindings for the libxslt library
Group: Development/Python
Obsoletes: %{name}-python < %{version}-%{release}
Requires: %{libname} = %{version}-%{release}
Requires: python >= %{pyver}
Requires: python-libxml2 >= %{xml_version_required}

%description -n python-%{name}
The libxslt-python package contains a module that permits applications
written in the Python programming language to use the interface
supplied by the libxslt library to apply XSLT transformations.

This library allows to parse sytlesheets, uses the libxml2-python
to load and save XML and HTML files. Direct access to XPath and
the XSLT transformation context are possible to extend the XSLT language
with XPath functions written in Python.

%package -n %{develname}
Summary: Libraries, includes, etc. to develop XML and HTML applications
Group: Development/C
Provides: %{name}-devel = %{version}-%{release}
Requires: %{libname} = %{version}-%{release}
Requires: libxml2-devel >= %{xml_version_required}
Obsoletes: %{mklibname xslt 1 -d} < %{version}-%{release}

%description -n %{develname}
This C library allows to transform XML files into other XML files
(or HTML, text, ...) using the standard XSLT stylesheet transformation
mechanism.

%prep
%setup -q
%apply_patches

%{__mkdir_p} python/examples
%{__cp} -a python/tests/*.{py,xml,xsl} python/examples

cp %{SOURCE1} autogen.sh
chmod 755 autogen.sh

%build
NOCONFIGURE=yes ./autogen.sh
%configure2_5x --disable-static
%make

%check
make check

%install
%makeinstall_std

# remove unpackaged files
%{__rm} -rf %{buildroot}%{_docdir}/%{name}-%{version} %{buildroot}%{_docdir}/%{name}-python-%{version}
find %{buildroot} -name '*.la' -delete

%multiarch_binaries %{buildroot}%{_bindir}/xslt-config

%files -n xsltproc
%{_bindir}/xsltproc
%{_mandir}/man1/*

%files -n %{libname}
%doc AUTHORS NEWS README Copyright FEATURES TODO
%{_libdir}/lib*.so.*

%files -n python-%{name}
%defattr(0644,root, root,0755)
%doc AUTHORS README Copyright FEATURES python/TODO python/examples python/libxsltclass.txt
%defattr(-, root, root)
%{py_platsitedir}/*.so
%{py_platsitedir}/*.py*

%files -n %{develname}
%doc doc/*.html doc/tutorial doc/html
%{_mandir}/man3/*
%{_libdir}/lib*.so
%{_libdir}/*.sh
%{_includedir}/*
%multiarch %{multiarch_bindir}/xslt-config
%{_bindir}/xslt-config
%{_libdir}/pkgconfig/*
%{_datadir}/aclocal/*


%changelog
* Wed Oct 28 2015 luigiwalser <luigiwalser> 1.1.28-8.1.mga5
+ Revision: 896061
- add patch from redhat to fix CVE-2015-7995

* Wed Oct 15 2014 umeabot <umeabot> 1.1.28-8.mga5
+ Revision: 739423
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.1.28-7.mga5
+ Revision: 726937
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.1.28-6.mga5
+ Revision: 681900
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1.1.28-5.mga5
+ Revision: 628316
- Rebuild for new Python

* Mon Oct 21 2013 umeabot <umeabot> 1.1.28-4.mga4
+ Revision: 540835
- Mageia 4 Mass Rebuild

* Thu Oct 10 2013 luigiwalser <luigiwalser> 1.1.28-3.mga4
+ Revision: 494377
- include pyc and pyo files in python subpackage files list

* Sat Jan 12 2013 umeabot <umeabot> 1.1.28-2.mga3
+ Revision: 358632
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 26 2012 shlomif <shlomif> 1.1.28-1.mga3
+ Revision: 321976
- New version 1.1.28

* Mon Nov 19 2012 shlomif <shlomif> 1.1.27-3.mga3
+ Revision: 319636
- New release
- Remove trailing space
- New patch for gnome #684564

* Wed Sep 19 2012 oden <oden> 1.1.27-2.mga3
+ Revision: 296183
- require libxml2 2.9.0 because it's unknown how the mageia build system works... (is this good enough to describe it?)
- rebuild

* Wed Sep 19 2012 oden <oden> 1.1.27-1.mga3
+ Revision: 296149
- 1.1.27
- dropped all security patches, applied upstream
- added autogen.sh as it was missing
- dropped "snap" as this is stable

* Fri Sep 14 2012 luigiwalser <luigiwalser> 1.1.26-8.20120127.1.mga3
+ Revision: 293980
- add patches from RedHat to fix CVE-2012-2870 and CVE-2012-2871

* Wed Jul 18 2012 luigiwalser <luigiwalser> 1.1.26-7.20120127.1.mga3
+ Revision: 272098
- add patch from Google to fix CVE-2012-2825

* Sun Mar 04 2012 fwang <fwang> 1.1.26-6.20120127.1.mga3
+ Revision: 217766
- update to latest upstrem snapshot to avoid future security patches

* Tue Oct 11 2011 fwang <fwang> 1.1.26-6.mga2
+ Revision: 153776
- drop .la files

* Tue Jan 18 2011 pterjan <pterjan> 1.1.26-5.mga1
+ Revision: 21791
- Rebuild for python 2.7

* Sun Jan 09 2011 blino <blino> 1.1.26-4.mga1
+ Revision: 1529
- remove old ldconfig scriptlets
- imported package libxslt

